SELECT Код_типа_регулируемой_обмотки INTO #TmpTable FROM Справочник_типов_регулируемых_обмоток
SET IDENTITY_INSERT Справочник_типов_регулируемых_обмоток ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_регулируемой_обмотки = 1) INSERT INTO Справочник_типов_регулируемых_обмоток (Описание,Код_типа_регулируемой_обмотки) VALUES ('ВН',1)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_регулируемой_обмотки = 2) INSERT INTO Справочник_типов_регулируемых_обмоток (Описание,Код_типа_регулируемой_обмотки) VALUES ('СН',2)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_регулируемой_обмотки = 3) INSERT INTO Справочник_типов_регулируемых_обмоток (Описание,Код_типа_регулируемой_обмотки) VALUES ('НН',3)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_регулируемой_обмотки = 4) INSERT INTO Справочник_типов_регулируемых_обмоток (Описание,Код_типа_регулируемой_обмотки) VALUES ('НН1',4)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_регулируемой_обмотки = 5) INSERT INTO Справочник_типов_регулируемых_обмоток (Описание,Код_типа_регулируемой_обмотки) VALUES ('НН2',5)

SET IDENTITY_INSERT Справочник_типов_регулируемых_обмоток OFF
DROP TABLE #TmpTable
